-- if going to options, do nothing; if going to course, fade to white or something.
local screen = SCREENMAN:GetTopScreen();

local bGoingToOptions = false;
if screen then
	bGoingToOptions = screen:GetGoToOptions();
end;

local themeColor = GetThemeColor();
return Def.ActorFrame {
	Def.Quad{
		InitCommand=cmd(hide_if,bGoingToOptions;diffuse,themeColor;FullScreen;cropbottom,1;fadebottom,.5;);
		StartTransitioningCommand=cmd(sleep,1.2;linear,0.5;cropbottom,-0.5);
	};
};
